package guanlixitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type target struct {
	Table
	group     group
	userGroup userGroup
	create    string `name:"create title* content*" role:"void"`
}

func (s target) Create(m *ice.Message, arg ...string) {
	if s.checkRole(m) {
		s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.GROUP_UID, model.USER_UID))...)
		s.recordEvent(m, m.Trans("create target ", "创建团队目标 ")+m.Option(model.TITLE), m.Result())
	}
}
func (s target) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userGroup, s.group, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(target{}) }
